﻿@{
    ViewBag.Title = "View All Operations";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Operations Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of all Operations</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">
                    <tbody>
                        <tr>
                            <th>Treatment</th>
                            <th>Patient's Condiction</th>
                            <th>Type of Operation</th>
                            <th>Doctor Name</th>
                            <th>Patient's Name</th>
                            <th>Edit</th>
                            <th>Delete</th>
                        </tr>
                    <tbody id="tbl"></tbody>

                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>
<script>
    $(document).ready(function () {

        alert('hy');
        $.ajax({
            url: '@Url.Action("GetAllOperationData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#tbl').append(' <tr id=' + list[i].operationtheaterno + '><td>' + list[i].treatment + '</td><td>' + list[i].patientcondition + '</td><td>' + list[i].typeofoperation + '</td><td>' + list[i].docname + '</td><td>' + list[i].pname + '</td><td><button type="button" class="btn bg-light-blue" onclick=getUpdate(' + list[i].operationtheaterno + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red" onclick=getDelete(' + list[i].operationtheaterno + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
<script>
    function getUpdate(id) {
        alert(id);
    }

</script>
<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteOprData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#' + id).remove();
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>